List conversation messages▾
List conversation messages
Fetch one thread's messages, oldest or newest first.
The endpoint to call when you are rendering a thread. For account-wide history use fetch message history.
GET
/v1/conversations/{wa_id}/messagesPath parameters
wa_idstringrequiredDigits-only WhatsApp id, or conv_….
Query parameters
orderenumdefault descSort on created_at.
ascdesc
limitintegerdefault 25Page size, 1–100.
cursorstringFrom the previous page's next_cursor.
curl -X GET https://api.sendport.tech/v1/conversations/{wa_id}/messages \
-H "Authorization: Bearer $SENDPORT_KEY"Responses
200OK
{
"object": "list",
"data": [
{
"object": "message",
"id": "msg_01JZQ3F8X2K7N4B6Y0R9M5TCWA",
"direction": "inbound",
"type": "text",
"text": { "body": "Is it ready?" },
"status": "delivered",
"created_at": "2026-09-06T09:41:02.000Z"
}
],
"has_more": false,
"next_cursor": null
}401Unauthorized
{
"error": {
"type": "authentication_error",
"code": "missing_api_key",
"message": "No API key provided.",
"doc_url": "https://sendport.tech/docs/errors#missing_api_key",
"request_id": "req_9f3c2a7b41de08c5b2e6"
}
}Try itsandbox